Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.twitterapime.model
Interface Entity

All Known Implementing Classes:
  Credential, DefaultEntity, GeoLocation, RateLimitStatus, Tweet, UserAccount

    public interface Entity

This interface defines some basic accessor methods to access different typed attributes from a data entity.

Since:
  1.0
Version:
  1.1
Author:
  Ernandes Mourao Junior (ernandes@gmail.com)
See Also:
  `DefaultEntity`

Method Summary
`java.lang.Object[]` | `getArray(java.lang.String attr)` Get the values of an array attribute.
`java.util.Date` | `getDate(java.lang.String attr)` Get the value of a date attribute.
`int` | `getInt(java.lang.String attr)` Get the value of an int attribute.
`long` | `getLong(java.lang.String attr)` Get the value of a long attribute.
`java.lang.Object` | `getObject(java.lang.String attr)` Get the value of an object attribute.
`java.lang.String` | `getString(java.lang.String attr)` Get the value of a string attribute.

Method Detail

### getArray

    java.lang.Object[] getArray(java.lang.String attr)

  Get the values of an array attribute.

  Parameters:
    `attr` - Array attribute to query the data for.
  Returns:
    The array values of the given attribute.

### getDate

    java.util.Date getDate(java.lang.String attr)

  Get the value of a date attribute.

  Parameters:
    `attr` - Date attribute to query the data for.
  Returns:
    The date value of the given attribute.

### getInt

    int getInt(java.lang.String attr)

  Get the value of an int attribute.

  Parameters:
    `attr` - Int attribute to query the data for.
  Returns:
    The int value of the given attribute.

### getLong

    long getLong(java.lang.String attr)

  Get the value of a long attribute.

  Parameters:
    `attr` - Long attribute to query the data for.
  Returns:
    The long value of the given attribute.

### getObject

    java.lang.Object getObject(java.lang.String attr)

  Get the value of an object attribute.

  Parameters:
    `attr` - Object attribute to query the data for.
  Returns:
    The object value of the given attribute.

### getString

    java.lang.String getString(java.lang.String attr)

  Get the value of a string attribute.

  Parameters:
    `attr` - String attribute to query the data for.
  Returns:
    The string value of the given attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Twitter API ME Team. All Rights Reserved.